## ev-version ev-version — Library version checks |

## Functions

#define | EV_CHECK_VERSION()

## Types and Values

#define | EV_MAJOR_VERSION
#define | EV_MINOR_VERSION
#define | EV_MICRO_VERSION

## Description

These macros enable compile time checks of the library version.

## Functions

### EV_CHECK_VERSION()

    #define             EV_CHECK_VERSION(major,minor,micro)

Macro to check the library version at compile time. It returns `1` if the version of EV is greater or equal to the required one, and `0` otherwise.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### EV_MAJOR_VERSION

    #define EV_MAJOR_VERSION (3)

The major version number of the EV library (e.g. in version 3.1.4 this is 3).

### EV_MINOR_VERSION

    #define EV_MINOR_VERSION (22)

The minor version number of the EV library (e.g. in version 3.1.4 this is 1).

### EV_MICRO_VERSION

    #define EV_MICRO_VERSION (2)

The micro version number of the EV library (e.g. in version 3.1.4 this is 4).